# xarray.Dataset.to_zarr

`Dataset.``to_zarr`(store=None, mode='w-', synchronizer=None, group=None, encoding=None)

  Write dataset contents to a zarr group.

  Note

  Experimental The Zarr backend is new and experimental. Please report any unexpected behavior via github issues.

  Parameters:

  store : MutableMapping or str, optional

  > Store or path to directory in file system.

  mode : {‘w’, ‘w-‘}

  > Persistence mode: ‘w’ means create (overwrite if exists); ‘w-‘ means create (fail if exists).

  synchronizer : object, optional

  > Array synchronizer

  group : str, obtional

  > Group path. (a.k.a. path in zarr terminology.)

  encoding : dict, optional

  > Nested dictionary with variable names as keys and dictionaries of variable specific encodings as values, e.g., `{'my_variable': {'dtype': 'int16', 'scale_factor': 0.1,}, ...}`